<?php

/* DAT/SQL.PHP - to be included by the MYSQL module 

Currently, one function (for THIS used as an API and not by the main code) 
in MYSQL/I.PHP assumes the $db_table and {$db_table}_comments entries here 
are first and second in the array.
*/

$T = (config('dbtemporary')) ? "TEMPORARY" : "";

$tables[] = "CREATE $T TABLE `$db_table` (
 id int(11) NOT NULL AUTO_INCREMENT,
 body mediumtext,
 UNIQUE KEY id (id)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 MAX_ROWS=16348;";

$tables[] = "CREATE $T TABLE `{$db_table}_comments` (
 id int(11) NOT NULL AUTO_INCREMENT,
 body mediumtext,
 entryid int(11) DEFAULT NULL,
 UNIQUE KEY id (id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 MAX_ROWS=16348;";

$user_tables[] = "CREATE $T TABLE `users` (
 userid VARCHAR(32) UNIQUE NOT NULL,
 body mediumtext
) ENGINE=MyISAM DEFAULT CHARSET=utf8 MAX_ROWS=16348;";

$user_tables[] = "CREATE $T TABLE `visitors` (
 name varchar(32) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
 body mediumtext,
 UNIQUE KEY name (name)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 MAX_ROWS=16348;";
