<?php

/*
This is the default theme. See TEMPLATES for more information. The file 
HTML.PHP includes this file during initialization. Note that these get 
placed into the $html array (which is internal to HTML.PHP) and that they 
can refererence any other $html variable.
*/


// These are the menus, there is one for each "operation" (&op=); see RULES.INI.
// The 'read' menu will get dynamically created from the sections but can be  
// overridden here (see SECTIONS.INI). See also HTM/HTML.INI.

/*
$html['menu']['read'] = <<<HTML
<a href="?arg=" title="The THIS Project">Index</a><span></span><a href="?arg=about" title="About THIS Project">About</a>

HTML;
*/

$html['menu']['grok'] = <<<HTML
<a href='?arg=\$arg\$id' title='Go back to {\$html['name']}.'>Back</a>

HTML;
// the extra line before HTML is just so that a newline shows up when 
// viewing page source in web browser

$html['menu']['submit'] = <<<HTML
<a href='?arg=\$arg\$id' title='Cancel commenting.'>Cancel</a>

HTML;

// This also will get dynamically created from the sections but can be  
// overridden here (see SECTIONS.INI). See also HTM/HTML.INI.
/*
$html['navstra'] = <<<HTML
<li><a href="?arg=" title="THIS">Index</a></li><li><a href="?arg=about" title="About THIS Project">About</a></li>

HTML;
*/

$html['close'] = <<<HTML
<!-- close.html (default) -->
</div> <!-- content -->
</div>

<div id="footer">
<span>{\$html['title']}</span>
<span id="copyright">
<a href="{\$config['siteurl']}" title="{\$config['sitetitle']}">{\$config['sitename']}</a> {\$config['copyright']}
</span>
</div>

</body>
</html>
HTML;

$html['end'] = <<<HTML
<!-- a minimal (no footer) of close for previewing comments and posts -->
</div> <!-- content -->
</div>
</body>
</html>
HTML;

$html['entries'] = <<<HTML
<!-- entries.html (default) -->
<div class="entry" id="{\$record['id']}">
<span class="title"><a href="{\$record['grok']}" title="view post: {\$record['title']}">{\$record['title']}</a></span>
<span class="date">{\$record['date']}</span>
<div class="body">
{\$record['body']}
<div class="more" title="view entire post">{\$record['murl']}</div>
</div>
<span class="url" title="view comments">{\$record['curl']}</span>
</div>

HTML;

$html['entry'] = <<<HTML
<!-- entry.html (default) -->
<div class="entry">
<span class="title"><a href="{\$record['grok']}" 
title="permanent link to {\$record['title']}">{\$record['title']}</a></span>
<span class="date">{\$record['date']}</span> {\$html['gotocomments']}
<div class="body">
{\$record['body']}
</div>
<a style="float:right;" href='#top' title='go to top'>#</a>
</div>

HTML;

$html['error'] = <<<HTML
<!-- error.html (default) -->
<p>Something went wrong...</p>
\$error
<p>If you do not know what that means please contact the developers or report 
it to the website where you downloaded the archive.</p>
<p><em>Thank you for your cooperation and we apologize for any inconvenience.</em></p>

HTML;

$html['fatalerror'] = <<<HTML
<!DOCTYPE html>
<!-- templates.php [fatalerror] (default) -->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title>Fatal Error</title>
<link href="{\$html['themedir']}default.css" rel="stylesheet" type="text/css">
</head>
<body>
<div id="main">
<div style="top-margin: 20px;">&nbsp;</div>
<div id="content">
Something went wrong and we cannot continue...
<p>\$error</p>
<p>If you do not know what that means please contact the developers or report 
it to the website where you downloaded the archive.</p>
<p><em>Thank you for your cooperation and we apologize for any inconvenience.</em></p>
</div>
</div>
<div style="top-margin: 20px;">&nbsp;</div>
</body>
</html>
HTML;

$html['head'] = <<<HTML
<!DOCTYPE html>
<!-- open.html (default) -->
<!-- a minimal (no header) of open for previewing things -->
<html>
<head>
<title>{\$html['title']}</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<link href="{\$html['themedir']}default.css" rel="stylesheet" type="text/css">
</head>
<body>
<div id="main">
<div style="top-margin: 20px;">&nbsp;</div>
<div id="content">
<a id="start"></a>

HTML;

$html['open'] = <<<HTML
<!DOCTYPE html>
<!-- htmlopen.html (default) -->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title>{\$html['title']}</title>
<link href="{\$html['themedir']}default.css" rel="stylesheet" type="text/css">
</head>

<body id="top">
<div id="header">
<a href="?arg=" title="{\$config['sitetitle']}">{\$config['sitename']}</a>
{\$html['loginout']}
</div>

{\$html['navmenu']}

<div id="main">
{\$html['menu']}
<div id="content">
<a id="start"></a>

HTML;

$html['page'] = <<<HTML
<!-- page.html (default) -->
<div class="entry">
<span class="title"><a href="{\$record['grok']}"
title="permanent link to {\$record['title']}">
{\$record['title']}</a></span>
<div class="body">
{\$record['body']}
</div>
</div>

HTML;

$html['comment'] = <<<HTML
<!-- user/comment.html -->
<a id="{\$record['id']}"></a>
<div class="comment">#{\$record['id']}
<b>{\$record['title']}</b> from <b>{\$record['from']}</b> {\$record['date']}<br>
{\$record['body']}
</div>

HTML;

$html['commentadd'] = <<<HTML
<!-- user/commentadd.html -->
<a id="commentform"></a>

<div class="feedback">

<span style="color:green;">{\$GLOBALS['system_message']}</span>

<form title="{\$form['title']}" name="commentadd" method="post" action="{\$form['url']}#comments">

<div class="commentadd">
{\$html['addcommentlink']}
</div>
<input class="{\$form['submit']}" {\$form['submit']} type="submit" name="button" value="submit">
<input type="submit" name="button" value="preview">
<input class="{\$form['cancel']}" {\$form['cancel']} type="submit" name="button" value="cancel">
<br>

<span class="{\$form['hidefrom']}">
<input type="text" name="from" value="{\$_POST['from']}" size=30 maxlength=32>
</span>
<span class="input">
{\$form['fromlink']}<br>
</span>

<span>
<input type="text" name="subj" value="{\$_POST['subj']}" size=30 maxlength=64>
Subject<br>
</span>

<span class="{\$form['hidecode']}">
<input type="text" name="code" value="{\$_POST['code']}" size=30 maxlength=32>
Code
<a class="help" href="?arg=\$arg&amp;op=help&amp;h=code" target="_blank"
title="The Code, if entered, will be remembered and will allow you to associate the Username with the Code; once saved only you can post using your chosen Username. We don't list users so you may have to use trial and error to pick a unique Username. If you do not enable cookies you will have to re-enter the Code for each comment. The Code is *not* required."></a><br>
</span>

<textarea name="data" rows=8>{\$_POST['data']}</textarea>

<div class="note" style="margin-bottom: 10px;">
No Cookies, Javascript, or "Registering" required.
Formatting: *<b>bold</b>* ^<i>italic</i>^ _<u>underline</u>_ '<code>code</code>'.
<br>All HTML will be stripped and there is a {\$config['postlimit']} byte limit.
</div>

<input class="{\$form['submit']}" {\$form['submit']} type="submit" name="button" value="submit">
<input type="submit" name="button" value="preview">
<input class="{\$form['cancel']}" {\$form['cancel']} type="submit" name="button" value="cancel">

<span style="color:red;">{\$GLOBALS['comment_message']}</span>

</form>

</div>

HTML;

$html['commentintro'] = <<<HTML
<!-- user/commentintro.html -->
<a id="comments"></a>
<div class="feedback">
{\$html['feedbacklink']}
</div>

HTML;

$html['commentmax'] = <<<HTML
<!-- user/commentmax.html -->
<div class="feedback">
Maximum number of comments reached.
</div>

HTML;

$html['commentpreview'] = <<<HTML
<!-- user/commentpreview.html -->
<div class="feedback">
Comment Preview:
</div>

HTML;

$html['nocomment'] = <<<HTML
<!-- user/nocomment.html -->
<div class="comment">
There are no comments.
</div>
<br>

HTML;

// the "more/prev" links; 'count' and 'start' are calculated each site view

$html['moreprev'] = '
<div style="text-align:center">
<span class="right" style="visibility:{$html[\'more_vis\']};"><a href="?arg=&amp;start={$html[\'count\']}" title="view more posts">MORE</a></span>
{$html[\'gototop\']}
<span class="left" style="visibility:{$html[\'prev_vis\']};"><a href="?arg=&amp;start={$html[\'start\']}" title="view previous posts">PREV</a></span>
</div>
';
// that one is just yet another way to make a template, with the single quotes 
// escaped... we like the heredoc version better, and the nowdoc version even 
// more better


$html['navmenu'] = <<<HTML
<div id="navmenu">
Sections
<ul>
{\$html[navstra]}
</ul>
Other
<ul>
<li><a href="?op=help" target="_blank" title="help files">{\$html[help]}</a></li>
<li><a href="doc/" target="_blank" title="documentation">Documentation</a></li>
<li><a href="doc/source/" target="_blank" title="view indexed, highlighted source files">Source Viewer</a></li>
</ul>
</div>

HTML;

$html['logoutform'] = <<<HTML
<div id="logout">
<form method="post" action="?op=logout">
{\$html[logoutstr]}
<input type="submit" name="button" value="{\$html[logout]}" title="{\$html[logout]}">
<input type="hidden" name="redirect" value="{\$html['redirect']}">
</form>
</div>

HTML;

$html['loginform'] = <<<HTML
<div id="login">
<form method="post" action="?op=login">
{\$html['loginstr']}
name <input type="text" name="name" title="name">
code <input type="password" name="code" title="code">
<input type="submit" name="button" value="{\$html['login']}" title="{\$html['login']}">
<input type="hidden" name="redirect" value="{\$html['redirect']}">
</form>
</div>

HTML;

// need to figure out a good way to make this one optional...

$html['quickies'] = <<<HTML
<div id="quickies">
<form method="get">
<button title="This is an experimental go to selected post button; its position is fixed right now so it may not line up properly.">go</button>
<select name=id>
\$OPTIONS
</select>
<input type="hidden" name="arg" value="\$arg">
<input type="hidden" name="op" value="grok">
</form>
</div>

HTML;
